Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 13388)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/interswitch/tests.py	(revision 13389)
@@ -80,6 +80,5 @@
         notify(grok.ObjectModifiedEvent(self.student))
 
-    # Maint payment checking disabled on 5th Dec 2014
-    def xx_test_schoolfee_ticket_creation(self):
+    def test_schoolfee_ticket_creation(self):
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
         self.browser.open(self.payments_path)
@@ -111,6 +110,5 @@
         self.assertMatches('...Amount Authorized...',
                            self.browser.contents)
-        self.assertTrue(
-            '<span>39400.0</span>' in self.browser.contents)
+        self.assertTrue('<span>40700.0</span>' in self.browser.contents)
         self.payment_url = self.browser.url
 
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 13388)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/tests/test_browser.py	(revision 13389)
@@ -105,11 +105,10 @@
         self.browser.open(self.payments_path + '/addop')
 
-        # Maint payment checking disabled on 5th Dec 2014
-        #self.browser.getControl(name="form.p_category").value = ['schoolfee']
-        #self.browser.getControl("Create ticket").click()
-        #self.assertMatches('...Book and pay for accommodation first...',
-        #                   self.browser.contents)
-        ## In KwaraPoly only returning students can create school fee payment
-        ## without having paid accommodation fee
+        self.browser.getControl(name="form.p_category").value = ['schoolfee']
+        self.browser.getControl("Create ticket").click()
+        self.assertMatches('...Book and pay for accommodation first...',
+                           self.browser.contents)
+        # In KwaraPoly only returning students can create school fee payment
+        # without having paid accommodation fee
 
         IWorkflowState(self.student).setState('returning')
@@ -222,15 +221,14 @@
         self.assertEqual(we_ft(self.student), 'ft')
 
-        # Maint payment checking disabled on 5th Dec 2014
-        #error, payment = utils.setPaymentDetails('schoolfee',self.student)
-        #self.assertEqual(error,
-        #    'Book and pay for accommodation first before making'
-        #    ' school fee payments.')
-        ## We add a fake maint. payment ticket to meet the condition
-        #maint_payment = createObject('waeup.StudentOnlinePayment')
-        #self.student['payments']['any_key'] = maint_payment
-        #maint_payment.p_category = 'hostel_maintenance'
-        #maint_payment.p_state = 'paid'
-        #maint_payment.p_session = 2004
+        error, payment = utils.setPaymentDetails('schoolfee',self.student)
+        self.assertEqual(error,
+            'Book and pay for accommodation first before making'
+            ' school fee payments.')
+        # We add a fake maint. payment ticket to meet the condition
+        maint_payment = createObject('waeup.StudentOnlinePayment')
+        self.student['payments']['any_key'] = maint_payment
+        maint_payment.p_category = 'hostel_maintenance'
+        maint_payment.p_state = 'paid'
+        maint_payment.p_session = 2004
 
         error, payment = utils.setPaymentDetails('schoolfee',self.student)
Index: main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py
===================================================================
--- main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 13388)
+++ main/waeup.kwarapoly/trunk/src/waeup/kwarapoly/students/utils.py	(revision 13389)
@@ -132,14 +132,10 @@
 
     def _maintPaymentMade(self, student, session):
-
-        # Maint payment checking disabled on 5th Dec 2014
-        return True
-
-        #if len(student['payments']):
-        #    for ticket in student['payments'].values():
-        #        if ticket.p_category == 'hostel_maintenance' and \
-        #            ticket.p_session == session and ticket.p_state == 'paid':
-        #                return True
-        #return False
+        if len(student['payments']):
+            for ticket in student['payments'].values():
+                if ticket.p_category == 'hostel_maintenance' and \
+                    ticket.p_session == session and ticket.p_state == 'paid':
+                        return True
+        return False
 
     def _bedAvailable(self, student):
